<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
exclude-result-prefixes="xpil"
xmlns:xpil="http://www.together.at/2006/XPIL1.0"
 xmlns:prop="java.util.Properties"
xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="navig_url" select="CacheHandlerPO.po" />
	
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />

<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Cache Management</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
	function submitForm(formId, actionAttr) { 
		var	formTag = document.getElementById(formId);
		formTag.action=actionAttr; formTag.submit(); 
	}
	
	function submitFormEvent(formId, actionAttr,event) {
		var formTag = document.getElementById(formId);
		formTag.action=actionAttr;
		formTag.event.value=event; formTag.submit(); 
	}
    
    function submitContentFormWithAction(formId,actionAttr,event, txt) {
		if(confirm(txt)) {
			alreadySubmited = true;
            if(window.event != null)
				window.event.returnValue = false;
			var formTag = document.getElementById(formId);
			formTag.action=actionAttr;
			formTag.event.value=event;
			formTag.submit();
		}
	}
</script>
</head>
<body>
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<input id="rememberArrowId" type="hidden"/>
<input id="rememberArrowStyle" type="hidden"/>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','false')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Cache Management</h1>
					<span class="tmdata">
						<xsl:if test="xpil:InstanceExtendedAttribute[1]/@Value='?'">
							is disabled !
						</xsl:if>
					</span>
			</div>
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
<div id="header">
  <div id="mnavw2"><div id="mnavw1"><div id="mnavw0"><div id="mnavw"><div id="mnav">


	<table width="100%" hight="100%"
		align="center" border="0" cellpadding="0" cellspacing="3"
		class="body_main">
		           <br/>
					<tr>
						<td class="h01" style="width:25%; padding-top:0px;">
							<span class="tmdata"><b>Process cache size:</b></span>
						</td>
						<xsl:if test="xpil:InstanceExtendedAttribute[1]/@Value!='?' and $sharkEdition!='community'">
						<td style="width:25%;">
						 <input class="inputcomb02" type="text" name="text1" value="{xpil:InstanceExtendedAttribute[1]/@Value}"/>
						</td>
						<td>
						<xsl:variable name="up1Url">javascript:submitFormEvent('mainForm','CacheHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','uprocess')</xsl:variable>
					    <a class="btns" href="{$up1Url}" title="Set process cache size" onclick=""><span class="editcache"></span></a>
					   </td>
					  </xsl:if>
					  <xsl:if test="xpil:InstanceExtendedAttribute[1]/@Value='?'">
					    <td class="h01" style="width:25%;">
						<span class="tmdata">?</span>
						</td>
					  </xsl:if>
					   <xsl:if test="$sharkEdition='community' and xpil:InstanceExtendedAttribute[1]/@Value!='?'">
					    <td style="width:25%;">
						<input class="inputcomb02" disabled="true" type="text" name="text1" value="{xpil:InstanceExtendedAttribute[1]/@Value}"/>
						</td>
					  </xsl:if>
					</tr>
					<tr>
						<td class="h01" style="width:25%; padding-top:0px;">
							<span class="tmdata"><b>
								No. of process in cache:
							</b></span>
						</td>
						<td class="text">
						<xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value"/>
						</td>
						<xsl:if test="xpil:InstanceExtendedAttribute[2]/@Value!='?' and $sharkEdition!='community'">
						<td>
						 <xsl:variable name="del1Url">javascript:submitContentFormWithAction('mainForm','CacheHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','clearproc','Do you really want to clear processes from cache?')</xsl:variable>
					     <a class="btns" href="{$del1Url}" title="Clear process cache size" onclick=""><span class="deletecache"></span></a>
					   </td>
					 </xsl:if>
					</tr>
					<tr>
					 <td class="title_style" height="25" colspan="2">
                                           <img src="media/blank.gif" alt="" width="1"/>
                                          </td>
					</tr>

					<tr>
						<td class="h01" style="width:25%; padding-top:0px;">
							<span class="tmdata"><b>
								Resource cache size:
							</b></span>
						</td>
						<xsl:if test="xpil:InstanceExtendedAttribute[3]/@Value!='?' and $sharkEdition!='community'">
						<td style="width:25%;">
						 <input class="inputcomb02" type="text" name="text2" value="{xpil:InstanceExtendedAttribute[3]/@Value}"/>
						</td>
						<td>
						<xsl:variable name="up2Url">javascript:submitFormEvent('mainForm','CacheHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','uresource')</xsl:variable>
					     <a class="btns" href="{$up2Url}" title="Set resource cache size" onclick=""><span class="editcache"></span></a>
					 </td>
					 </xsl:if>
					 <xsl:if test="xpil:InstanceExtendedAttribute[3]/@Value='?'">
					 <td class="h01"><span class="tmdata"><b>?</b></span></td>
					 </xsl:if>
					 <xsl:if test="xpil:InstanceExtendedAttribute[3]/@Value!='?' and $sharkEdition='community'">
					 <td style="width:25%;">
					   <input class="inputcomb02" disabled="true" type="text" name="text1" value="{xpil:InstanceExtendedAttribute[3]/@Value}"/>
					 </td>
					 </xsl:if>
					</tr>
					<tr>
						<td class="h01" style="width:25%; padding-top:0px;">
							<span class="tmdata"><b>
								No. of resources in cache:
							</b></span>
						</td>
						<td class="text">
							<xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value"/>
						</td>
						<xsl:if test="xpil:InstanceExtendedAttribute[4]/@Value!='?' and $sharkEdition!='community'">
						<td>
						<xsl:variable name="del2Url">javascript:submitContentFormWithAction('mainForm','CacheHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','clearres','Do you really want to clear resources from cache?')</xsl:variable>
					    <a class="btns" href="{$del2Url}" title="Clear resource cache size" onclick=""><span class="deletecache"></span></a>
					  </td>
					 </xsl:if>
					</tr>
					<tr/>
					<tr></tr>
	</table>
	
	</div></div></div></div></div></div>
	
</div></div></div>	


<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['acrdHighlight']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>