<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="enableComments" select="e" />
<xsl:param name="selected_user" select="e" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="navig_url" select="PackageHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Package List</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
function submitForm(formId, actionAttr) { 
	var formTag = document.getElementById(formId);
	formTag.action=actionAttr; formTag.submit(); 
}

function submitFormEvent(formId, actionAttr,event) {
		var formTag = document.getElementById(formId);
		formTag.action=actionAttr;
		formTag.event.value=event; formTag.submit();
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
	if(confirm(txt)) {
		alreadySubmited = true;
		if(window.event != null)
			window.event.returnValue = false;
		var formTag = document.getElementById(formId);
		formTag.action=actionAttr;
		formTag.event.value=event;
		formTag.submit();
	}
}
// package list
var packagelist= new Array();

function initializeComboboxes() {
	<xsl:for-each select="//.">
	<xsl:choose>
		<xsl:when test="xpil:InstanceExtendedAttributes">
			<xsl:for-each select="xpil:InstanceExtendedAttributes">
				<xsl:for-each select="xpil:InstanceExtendedAttribute">
					<xsl:variable name="opt">
						<xsl:value-of select="@Name" />
					</xsl:variable>
					packagelist.push('<xsl:value-of select="@Name" />');
				</xsl:for-each>
			</xsl:for-each>
		</xsl:when>
	</xsl:choose>
	</xsl:for-each>
	packagelist.push('');
}
		
function showComboBox(combob) {
	document.getElementById(combob).style.display='block';
}

function selectPackage() {
	if (document.getElementById('selected_package_txt').value=='Select package' || document.getElementById('selected_package_txt').value=='') {
		alert('Please select package from the list!');
	}else {
		submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','load')
	}
}

</script>
</head>
<xsl:element name="body">
<xsl:for-each select="//.">
	<xsl:choose>
		<xsl:when test="xpil:InstanceExtendedAttributes">
			<xsl:attribute name="onload">javascript: initializeComboboxes(); initcombob(comboElms([['selected_package_txt','Select package',packagelist]]));</xsl:attribute>
		</xsl:when>
	</xsl:choose>
</xsl:for-each>		
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>

<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','false')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Package List</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries
				</span>
			</div>
			<div align="left">
				<span align="left">
					<xsl:call-template name="Navigation"/>
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
								<xsl:for-each select="//.">
									<xsl:choose>
										<xsl:when test="xpil:InstanceExtendedAttributes">
											<div id="userselform" class="toolfset" style="display:block;">
												<div class="comboinw">
													<input type="text" name="selected_package_txt" id="selected_package_txt" value="Select package" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
													<a name="userselecta" class="combarrow" href="javascript: void 0" onclick="comboToggle(this);"></a>
													<div class="btnw01">
														<xsl:variable name="tUrl">javascript: selectPackage()</xsl:variable>
														<a class="btns" href="{$tUrl}" title="Load Package" onclick=""><span class="loadpackage"></span></a>
													</div>
												</div>
												<div class="selectelw" id="userselectw">
													<select name="package_name" id="package_name" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
														<xsl:for-each select="xpil:InstanceExtendedAttributes">
															<xsl:for-each select="xpil:InstanceExtendedAttribute">
																<xsl:variable name="opt">
																	<xsl:value-of select="@Name" />
																</xsl:variable>
																packagelist.push('<xsl:value-of select="@Name" />');
															</xsl:for-each>
														</xsl:for-each>
				           							</select>
												</div>
											</div>
										</xsl:when>
									</xsl:choose>
								</xsl:for-each>
								<ul class="toollset toollsetsa">
									<xsl:if test="$sharkEdition!='community'">
					             		<xsl:variable name="syncUrl">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sync')</xsl:variable>
										<li><a class="recycle" href="{$syncUrl}" title="Synchronize XPDL Cache"><span></span></a></li>				               
	                           		</xsl:if>
	                           		<li><a class="refresh" href="{$rUrl}" title="Refresh Package List"><span></span></a></li>
								</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='id'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=id&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
 			      			<a href="{$url}">Id</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=id&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
 			      			<a href="{$url}">Id</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=id&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
					<a href="{$url}">Id</a>
				</th>	
			</xsl:otherwise>
		</xsl:choose>
    
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='name'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
			      			<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
 							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
			      			<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
			    	<a href="{$url}">Name</a>
			    </th>	
			</xsl:otherwise>
		</xsl:choose>

     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='version'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
 			      			<a href="{$url}">Version</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
 							<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
 			      			<a href="{$url}">Version</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
		    </xsl:when>
		    <xsl:otherwise>
      			<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=version&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
 	      			<a href="{$url}">Version</a>
	      		</th>	
		    </xsl:otherwise>
		</xsl:choose>
    </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:PackageInstance']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
						<xsl:variable name="unloadUrl">javascript:submitContentFormWithAction('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="@Id" />&#38;vers=<xsl:value-of select="@Version"/>','unload','Do you really want to unload package?')</xsl:variable>
						<xsl:variable name="updateUrl">javascript:submitFormEvent('mainForm','PackageHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;up_name=<xsl:value-of select="@Id" />','update')</xsl:variable>
						<li><a class="delete" href="{$unloadUrl}"><span>Unload Package</span></a></li>
		               <xsl:if test="$sharkEdition!='community'">
							<li><a class="update" href="{$updateUrl}"><span>Update Package</span></a></li>
		               </xsl:if> 
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="@Id" /></a>
		</td>	
		<td>
			<xsl:value-of select="xpdl:Package/@Name" />
		</td>
		<td>
			<xsl:value-of select="@Version" />
		</td>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight', 'comboElm']);

//]]>
</script>

</form>
</xsl:element>
</html>
</xsl:template>
</xsl:stylesheet>