<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
exclude-result-prefixes="xpil"
xmlns:xpil="http://www.together.at/2006/XPIL1.0"
xmlns:prop="java.util.Properties"
xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
 <xsl:param name="selected_user" select="e" />
<xsl:param name="total_number" select="200" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="navig_url" select="ParticipantMappingHandlerPO.po" />
 
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl"/>
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
    
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Participant Mapping</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/cards.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/popupwin.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}

// Participants list
var parlist = new Array();

// Users and Groups list
var usgrlist = new Array();

function initializeComboboxes() {
    <xsl:for-each select="xpil:InstanceExtendedAttributes[1]/xpil:InstanceExtendedAttribute">
         <xsl:variable name="opt1">
          <xsl:value-of select="@Name"/>
        </xsl:variable>
        parlist.push('<xsl:value-of select="@Value"/>');
	</xsl:for-each>

    <xsl:for-each select="xpil:InstanceExtendedAttributes[2]/xpil:InstanceExtendedAttribute">
       	<xsl:variable name="opt2">
        	<xsl:value-of select="@Name"/>
        </xsl:variable>
        usgrlist.push('<xsl:value-of select="@Value"/>');
	</xsl:for-each>
   
}

function showComboBox(combob) {
	document.getElementById(combob).style.display='block';
}

</script>

</head>

<body onload="initializeComboboxes();">

<!-- popup window -->
<div id="popupbgi"></div>
<div id="popup">
</div>
<!-- popup window end -->

<form id="mainForm" name="mainForm" method="post"
action="Blank.xhtml">
<input type="hidden" name="event" />
<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','ParticipantMappingHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','false')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->

<!-- toolbar -->
   <div id="cnthdr"><div id="cnthdrw0"><div id="cnthdrw">  
   <div class="h01"><h1>Participant Mapping List</h1><span class="tmdata"><xsl:value-of select="$total_number"/> entries</span></div>
    <div>
    	<xsl:call-template name="Navigation"/>
    </div>
    <div class="cnttbw">
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollset">
          <li><a class="appmappnew" onclick="javascript: popupWinOpen('newParMapping', '/ParticipantMappingHandlerPO.po?from={$from_element}&#38;sortCriterion={$sortCriterion}&#38;sortAsc={$sortAsc}&#38;event=create');" title="Add new Participant Mapping"><span></span></a></li>
        </ul>
        <ul class="toollset toollsetsa">
          <li><a class="refresh" href="{$rUrl}" title="Refresh"><span></span></a></li>
        </ul>
      </div></div></div>
    </div>
  </div></div></div>  
<!-- toolbar end -->

</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt02">
<xsl:for-each select="xpil:InstanceExtendedAttributes[position()>2]">
  <div class="acard"><div class="acardw">
    <ul class="apcl01">
      <li class="cdrhb">
        <xsl:variable name="Name">
	    	<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[3]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'appid'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Participant Id: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
      	<xsl:variable name="deleteUrl">javascript:submitContentFormWithAction('mainForm','ParticipantMappingHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;packageId=<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />&#38;processDefId=<xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value" />&#38;participantId=<xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value" />&#38;username=<xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value" />&#38;isGroupUser=<xsl:value-of select="xpil:InstanceExtendedAttribute[7]/@Value" />','delete','Do you really want to delete mapping?')</xsl:variable>
    	<a class="btnsapp" style="float:right; height:21px; margin-top:-1px" href="{$deleteUrl}" title="Delete" onclick=""><span class="deleteapp"></span></a>
      </li>
      <li>
        <xsl:variable name="Name">
			 <xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[2]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'prdefid'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Process Definition Id: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
 	  </li>
      <li class="lilt">
      	<xsl:variable name="Name">
	        <xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[1]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'pckid'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Package Id: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
      </li>
    </ul>
    <ul class="apcl02">
      <li>
      	<xsl:variable name="Name">
			 <xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[4]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'usernm'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Username: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
	  </li>
      <li>
       	<xsl:variable name="Name">
	        <xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[5]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[5]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'firstnm'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'First name: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
	  </li>
      <li>
       	<xsl:variable name="Name">
  	    	<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[6]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[6]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'lastnm'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Last name: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
 	  </li>
      <li class="lilt">
       	<xsl:variable name="Name">
			<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[7]/@Value=''"> - </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[7]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>
      	<xsl:element name="span">
      		<xsl:attribute name="class">
      			<xsl:value-of select="'group'"/>
      		</xsl:attribute>
      		<xsl:attribute name="title">
      			<xsl:value-of select="'Is group user: '"/>
      			<xsl:value-of select="$Name"></xsl:value-of>
      		</xsl:attribute>
      		<xsl:value-of select="$Name"></xsl:value-of>
      	</xsl:element>	
	  </li>
    </ul>
  </div></div>
</xsl:for-each>

</div></div></div> 
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['acrdHighlight']);

//]]>
</script>

</form>
</body>
</html>
   </xsl:template>
</xsl:stylesheet>
