<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="selected_user" select="e" />
	<xsl:param name="accessionMap" select="e" />
	<xsl:param name="productLink" select="e" />
	<xsl:param name="navig_url" select="RepositoryHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Repository</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
function submitForm(formId, actionAttr) { 
	var formTag = document.getElementById(formId);
	formTag.action=actionAttr; 
	formTag.submit(); 
}

function submitFormEvent(formId, actionAttr,event) {
	var formTag = document.getElementById(formId);
	formTag.action=actionAttr;
	formTag.event.value=event; formTag.submit(); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
	if(confirm(txt)) {
		alreadySubmited = true;
		if(window.event != null)
			window.event.returnValue = false;
            var formTag = document.getElementById(formId);
            formTag.action=actionAttr;
            formTag.event.value=event;
            formTag.submit();
	}
}
		
function openBrowse(val1, val2) {
	document.getElementById(val1).click();
	document.getElementById(val2).value=document.getElementById(val1).value;
}
		
</script>
</head>
<body>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','false')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>XPDL Repository</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries 
				</span>
			</div>
			<div align="left">
				<span align="left">
					<xsl:call-template name="Navigation"/>
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<ul class="toollset toollsetsa">
							     <xsl:if test="$sharkEdition!='community' and $productLink='true'">
									<li><a href="prof/ProductManagerPO.po" target="_blank" class="title_style"><b>Go To Product Manager</b></a></li>
								 </xsl:if>
								<li><a class="refresh" href="{$rUrl}" title="Refresh"><span></span></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01" style="width:70%;">
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>

<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='name'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>			      			
							<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
							<xsl:variable name="url">javascript:submitFormEvent('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
			      			<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
		      		<xsl:variable name="url">javascript:submitFormEvent('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
			    	<a href="{$url}">Name</a>
			    </th>	
			</xsl:otherwise>
		</xsl:choose>
     </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:InstanceExtendedAttribute']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
						<xsl:variable name="deleteUrl">javascript:submitContentFormWithAction('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="@Name" />','delete','Do you really want to delete file from repository?')</xsl:variable>
						<xsl:variable  name="convertUrl"> javascript:submitFormEvent('mainForm','RepositoryHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="@Name" />','convert')</xsl:variable>
						<li><a class="delete" href="{$deleteUrl}"><span>Delete</span></a></li>
				      	<xsl:if test="contains(@Name,'.aml') and $sharkEdition='prof'">
				      		<li><a class="convert" href="{$convertUrl}"><span>Convert to XPDL</span></a></li>
				      	</xsl:if>
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="@Name" /></a>
		</td>	
	</tr>
</xsl:for-each>
</tbody>
</table>
</form>
</div>
<div>
<!-- upload segment -->
<form id="mainForm1" name="mainForm1" method="post"
					action="RepositoryHandlerPO.po?event=upload"
					enctype="multipart/form-data">
<div id="header">
  <div id="mnavw2"><div id="mnavw1"><div id="mnavw0"><div id="mnavwsmaller"><div id="mnavsmaller">
	<table border="0" cellpadding="0" cellspacing="5">
		<tr>
			<td class="h01" style="width:30%; padding-top=0px;">
				<span class="tmdata">Upload new package:</span>
			</td>
			<td>	
				<input type="file" name="file" class="inputcomb01"/>
				<!-- a class="btns" href="javascript: openBrowse('filee', 'contextFilePath');"><span class="browse"></span></a-->
			</td>
			</tr>
			<tr>
			<td class="h01"  style="width:30%; padding-top=0px;">
				<span class="tmdata">As:</span>
			</td>
			<td>	
				<input class="inputcomb01" type="text" name="newname"/>
				<a class="btns" title="Upload" href="javascript: document.getElementById('mainForm1').submit()"><span class="upload"></span></a>
			</td>
		</tr>
	</table>
</div></div></div></div></div></div>
</form>
<!-- upload segment end -->
</div>
</div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight']);

//]]>
</script>

</body>
</html>
</xsl:template>
</xsl:stylesheet>